/*
 
     File: PPPPPPPP_CocoaViewFactory.h
 Abstract: Audio Unit Cocoa View Factory class definition.
  Version: 1.0.1
    Template by Alex Kenis 2014
*/

#import <Cocoa/Cocoa.h>
#import <AudioUnit/AUCocoaUIView.h>

/************************************************************************************************************/
/* NOTE: It is important to rename ALL ui classes when using the Xcode Audio Unit with Cocoa View template	*/
/*		 Cocoa has a flat namespace, and if you use the default filenames, it is possible that you will		*/
/*		 get a namespace collision with classes from the cocoa view of a previously loaded audio unit.		*/
/*		 We recommend that you use a unique prefix that includes the manufacturer name and unit name on		*/
/*		 all objective-C source files. You may use an underscore in your name, but please refrain from		*/
/*		 starting your class name with an undescore as these names are reserved for Apple.					*/
/*  Example  : AppleDemoFilter_UIView AppleDemoFilter_ViewFactory											*/
/************************************************************************************************************/

// Setup our basic audiounit UI view here
//      This is fairly standard and we won't have to change anything here
@class PPPPPPPP_CocoaView;

// Our view is an NSObject pulled from the AUCocoaUIBase file
@interface PPPPPPPP_CocoaViewFactory : NSObject <AUCocoaUIBase>
{
    @private
    PPPPPPPP_CocoaView *	uiFreshlyLoadedView;    // This class is the File's Owner of the CocoaView nib
}                                                   // This data member needs to be the same class as the view class the factory will return

//- (NSString *) description;	// string description of the view (commented out for XCode4, uncomment for XCode5)

@end
